PLGDIDEV(3)

NAME
plgdidev - Get parameters that define current device-space window

SYNOPSIS
plgdidev(p_mar, p_aspect, p_jx, p_jy)

DESCRIPTION

Get relative margin width, aspect ratio, and relative justification that define current device-space window. If plsdidev(3) has not been called the default values pointed to by p_mar, p_aspect, p_jx, and p_jy will all be 0.

Redacted form: plgdidev(p_mar, p_aspect, p_jx, p_jy)

This function is used in example 31.

ARGUMENTS

p_mar (PLFLT_NC_SCALAR(3), output)
    Returned value of the relative margin width.

p_aspect (PLFLT_NC_SCALAR(3), output)
    Returned value of the aspect ratio.

p_jx (PLFLT_NC_SCALAR(3), output)
    Returned value of the relative justification in x.

p_jy (PLFLT_NC_SCALAR(3), output)
    Returned value of the relative justification in y.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.